buildscript {
    repositories {
        maven { url 'https://plugins.gradle.org/m2/'}
    }
    dependencies {
        classpath 'gradle.plugin.com.onesignal:onesignal-gradle-plugin:[0.11.0, 0.99.99]'
    }
}

apply plugin: 'com.onesignal.androidsdk.onesignal-gradle-plugin'
apply plugin: 'com.android.application'
apply plugin: 'io.fabric'

repositories {
    maven { url 'https://maven.fabric.io/public' }
    maven { url 'https://maven.google.com' }
}

android {
    compileSdkVersion 28
    defaultConfig {
        applicationId "ch.pizzaleu.android"
        minSdkVersion 16
        targetSdkVersion 28
        versionCode  22 // play store'daki version --> canlı: 0  - dahili test: 17
        versionName "1.40"   // play store'daki version --> canlı: 0.00 -  dahili test: 1.17
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        multiDexEnabled true
        manifestPlaceholders = [
                onesignal_app_id: '36ea08ba-13ca-49a5-b2af-3ac685b682b0',
                // Project number pulled from dashboard, local value is ignored.
                onesignal_google_project_number: 'REMOTE'
        ]
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {

    def appcompat_version = "28.0.0"
    def play_services_version_general = "16.0.1"
    def play_services_version_for_maps_and_locations = "16.0.0"
    def retrofit_version = "2.3.0"
    def okhttp_version = "3.9.1"
    def butterknife_version = "8.8.1"

    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })

    implementation "com.android.support:support-compat:$appcompat_version"
    implementation "com.android.support:appcompat-v7:$appcompat_version"
    implementation "com.android.support:design:$appcompat_version"
    implementation "com.android.support:support-v13:$appcompat_version"
    implementation "com.android.support:recyclerview-v7:$appcompat_version"
    implementation "com.android.support:cardview-v7:$appcompat_version"
    implementation 'com.android.support:multidex:1.0.3'

    implementation "com.google.android.gms:play-services-base:$play_services_version_general"
    implementation "com.google.android.gms:play-services-location:$play_services_version_for_maps_and_locations"
    implementation "com.google.android.gms:play-services-wallet:$play_services_version_general"
    implementation 'com.google.firebase:firebase-messaging:17.3.0'

    implementation "com.squareup.retrofit2:retrofit:$retrofit_version"
    implementation "com.squareup.retrofit2:converter-gson:$retrofit_version"
    implementation 'com.squareup.picasso:picasso:2.5.2'
    implementation "com.squareup.okhttp3:okhttp:$okhttp_version"
    implementation "com.squareup.okhttp3:logging-interceptor:$okhttp_version"

    implementation "com.jakewharton:butterknife:$butterknife_version"
    annotationProcessor "com.jakewharton:butterknife-compiler:$butterknife_version"
    implementation 'com.jakewharton.picasso:picasso2-okhttp3-downloader:1.1.0'

    implementation 'com.github.AndroidDeveloperLB:DialogShard:3'
    implementation 'com.github.HITGIF:TextFieldBoxes:1.3.3'
    implementation 'com.github.ittianyu:BottomNavigationViewEx:2.0.2' // for support library 28, use that version
    implementation 'com.github.bumptech.glide:glide:4.5.0'
    implementation 'com.github.badoualy:stepper-indicator:1.0.7'
    implementation 'io.github.luizgrp.sectionedrecyclerviewadapter:sectionedrecyclerviewadapter:1.1.3'

    implementation 'com.onesignal:OneSignal:[3.9.1, 3.99.99]'
    implementation 'com.afollestad.material-dialogs:core:0.9.6.0'
    implementation 'uk.co.chrisjenx:calligraphy:2.3.0'
    implementation 'com.wdullaer:materialdatetimepicker:3.6.3'
    implementation 'io.nlopez.smartlocation:library:3.3.3'
    implementation 'q.rorbin:badgeview:1.1.0'
    implementation 'com.braintreepayments.api:braintree:2.22.0'
    implementation 'org.jsoup:jsoup:1.11.1'
    implementation 'me.relex:circleindicator:1.3.2'
    implementation('com.braintreepayments.api:drop-in:3.7.1') {
        exclude group: 'com.braintreepayments.api', module: 'braintree'
    }
    implementation('com.crashlytics.sdk.android:crashlytics:2.9.4@aar') {
        transitive = true
    }

    api 'com.google.guava:guava:26.0-android'
    testImplementation 'junit:junit:4.12'
}
